curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/nsr/validation/runs' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"runs": [
{
"case_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"case_name": "string",
"created_at": "2026-08-31T14:22:05Z",
"escalations": [],
"execution_time_ms": 250,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inquiry": "string",
"missing_links": [],
"program_version_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"response": "string",
"response_invalid": true,
"topics": [],
"valid": true,
"violations": []
}
],
"total": 102
}
List validation runs for the current org.
Required scope: read
GET
/
api
/
v1
/
nsr
/
validation
/
runs
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/nsr/validation/runs' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"runs": [
{
"case_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"case_name": "string",
"created_at": "2026-08-31T14:22:05Z",
"escalations": [],
"execution_time_ms": 250,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inquiry": "string",
"missing_links": [],
"program_version_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"response": "string",
"response_invalid": true,
"topics": [],
"valid": true,
"violations": []
}
],
"total": 102
}
Required scope:
read
Query parameters
integer
Max runs to return (default 50)
Response
NSRValidationRunsResponse
NSRValidationRun[]
required
integer
required
Status codes
| Code | Meaning |
|---|---|
200 | Validation runs |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/nsr/validation/runs' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"runs": [
{
"case_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"case_name": "string",
"created_at": "2026-08-31T14:22:05Z",
"escalations": [],
"execution_time_ms": 250,
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"inquiry": "string",
"missing_links": [],
"program_version_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"response": "string",
"response_invalid": true,
"topics": [],
"valid": true,
"violations": []
}
],
"total": 102
}
Last modified on August 31, 2026